unit autori;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Grids, DBGrids, Buttons, DB;

type
  TfAutori = class(TForm)
    PnlDati: TPanel;
    dbgAutori: TDBGrid;
    BtnPievienot: TBitBtn;
    BtnDzest: TBitBtn;
    BtnBeigt: TBitBtn;
    BtnApstip: TBitBtn;
    BtnAtcelt: TBitBtn;
    sAutori: TDataSource;
    bFind: TButton;
    procedure sAutoriStateChange(Sender: TObject);
    procedure BtnPievienotClick(Sender: TObject);
    procedure BtnDzestClick(Sender: TObject);
    procedure BtnBeigtClick(Sender: TObject);
    procedure BtnApstipClick(Sender: TObject);
    procedure BtnAtceltClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure bSortClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fAutori: TfAutori;

implementation

uses DatuModulis;

{$R *.DFM}

procedure TfAutori.sAutoriStateChange(Sender: TObject);
var
   Statuss : TDataSetState;
begin
   Statuss := DM.sAutori.State;
   case Statuss of
      dsInactive :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := FALSE;
            btnAtcelt.Enabled    := FALSE;
         end;
      dsBrowse   :
         begin
            btnPievienot.Enabled := TRUE;
            btnDzest.Enabled     := TRUE;
            btnApstip.Enabled    := FALSE;
            btnAtcelt.Enabled    := FALSE;
         end;
      dsInsert   :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := TRUE;
            btnAtcelt.Enabled    := TRUE;
         end;
      dsEdit     :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := TRUE;
            btnAtcelt.Enabled    := TRUE;
         end;
   end;
end;

procedure TfAutori.BtnPievienotClick(Sender: TObject);
begin
   DM.tAutori.Append;
   dbgAutori.SetFocus;
end;

procedure TfAutori.BtnDzestClick(Sender: TObject);
begin
   DM.tAutori.Delete;
   dbgAutori.SetFocus;
end;

procedure TfAutori.BtnBeigtClick(Sender: TObject);
begin
   Close;
end;

procedure TfAutori.BtnApstipClick(Sender: TObject);
begin
   DM.tAutori.Post;
   dbgAutori.SetFocus;
end;

procedure TfAutori.BtnAtceltClick(Sender: TObject);
begin
   DM.tAutori.Cancel;
   dbgAutori.SetFocus;
end;

procedure TfAutori.FormClose(Sender: TObject; var Action: TCloseAction);
var
   Statuss : TDataSetState;
begin
   Statuss := DM.sAutori.State;
   if ( Statuss = dsInsert ) or ( Statuss = dsEdit ) then
      case MessageDlg('Vai saglabt izmaias ?',mtConfirmation,[mbYes,mbNo,mbCancel],0 ) of
      mrYes    : DM.tAutori.Post;
      mrNo     : DM.tAutori.Cancel;
      mrCancel :
         begin
            dbgAutori.SetFocus;
            Abort;
         end;
      end;
end;

procedure TfAutori.bSortClick(Sender: TObject);
begin

showmessage(intToStr(dbgAutori.SelectedIndex));

end;

end.
