unit gramatas;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Grids, DBGrids, Buttons, DB, Menus;

type
  TfGramatas = class(TForm)
    PnlDati: TPanel;
    dbgGramatas: TDBGrid;
    BtnPievienot: TBitBtn;
    BtnDzest: TBitBtn;
    BtnBeigt: TBitBtn;
    BtnApstip: TBitBtn;
    BtnAtcelt: TBitBtn;
    MainMenu1: TMainMenu;
    Modui1: TMenuItem;
    Beigt1: TMenuItem;
    Autori1: TMenuItem;
    sGramatas: TDataSource;
    procedure sGramatasStateChange(Sender: TObject);
    procedure BtnPievienotClick(Sender: TObject);
    procedure BtnDzestClick(Sender: TObject);
    procedure BtnBeigtClick(Sender: TObject);
    procedure BtnApstipClick(Sender: TObject);
    procedure BtnAtceltClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Autori1Click(Sender: TObject);
    procedure Beigt1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fGramatas: TfGramatas;

implementation

uses DatuModulis, autori;

{$R *.DFM}

procedure TfGramatas.sGramatasStateChange(Sender: TObject);
var
   Statuss : TDataSetState;
begin
   Statuss := DM.sGramatas.State;
   case Statuss of
      dsInactive :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := FALSE;
            btnAtcelt.Enabled    := FALSE;
         end;
      dsBrowse   :
         begin
            btnPievienot.Enabled := TRUE;
            btnDzest.Enabled     := TRUE;
            btnApstip.Enabled    := FALSE;
            btnAtcelt.Enabled    := FALSE;
         end;
      dsInsert   :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := TRUE;
            btnAtcelt.Enabled    := TRUE;
         end;
      dsEdit     :
         begin
            btnPievienot.Enabled := FALSE;
            btnDzest.Enabled     := FALSE;
            btnApstip.Enabled    := TRUE;
            btnAtcelt.Enabled    := TRUE;
         end;
   end;
end;

procedure TfGramatas.BtnPievienotClick(Sender: TObject);
begin
   DM.tGramatas.Append;
   dbgGramatas.SetFocus;
end;

procedure TfGramatas.BtnDzestClick(Sender: TObject);
begin
   DM.tGramatas.Delete;
   dbgGramatas.SetFocus;
end;

procedure TfGramatas.BtnBeigtClick(Sender: TObject);
begin
   Close;
end;

procedure TfGramatas.BtnApstipClick(Sender: TObject);
begin
   DM.tGramatas.Post;
   dbgGramatas.SetFocus;
end;

procedure TfGramatas.BtnAtceltClick(Sender: TObject);
begin
   DM.tGramatas.Cancel;
   dbgGramatas.SetFocus;
end;

procedure TfGramatas.FormClose(Sender: TObject; var Action: TCloseAction);
var
   Statuss : TDataSetState;
begin
   Statuss := DM.sGramatas.State;
   if ( Statuss = dsInsert ) or ( Statuss = dsEdit ) then
      case MessageDlg('Vai saglabt izmaias ?',mtConfirmation,[mbYes,mbNo,mbCancel],0 ) of
      mrYes    : DM.tGramatas.Post;
      mrNo     : DM.tGramatas.Cancel;
      mrCancel :
         begin
            dbgGramatas.SetFocus;
            Abort;
         end;
      end;
end;

procedure TfGramatas.Button1Click(Sender: TObject);
begin

showmessage(dm.tGramatas.fieldByName('iruzvietas').asString)

end;

procedure TfGramatas.Autori1Click(Sender: TObject);
begin
fAutori.Show;
end;

procedure TfGramatas.Beigt1Click(Sender: TObject);
begin
Close;
end;

end.
